#if !defined(AFX_USRHIGHTEXTSET_H__17FFEBF3_9FBB_11D3_AF1F_8C315D000000__INCLUDED_)
#define AFX_USRHIGHTEXTSET_H__17FFEBF3_9FBB_11D3_AF1F_8C315D000000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// UsrHighTextSet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CUsrHighTextSet DAO recordset

class CUsrHighTextSet : public CDaoRecordset
{
public:
	CUsrHighTextSet(CDaoDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CUsrHighTextSet)

// Field/Param Data
	//{{AFX_FIELD(CUsrHighTextSet, CDaoRecordset)
	long	m_nBookID;
	long	m_nFirstChar;
	long	m_nLastChar;
	CString	m_strNote;
	long	m_nPageNumber;
	long	m_nUserID;
	//}}AFX_FIELD

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUsrHighTextSet)
	public:
	virtual CString GetDefaultDBName();		// Default database name
	virtual CString GetDefaultSQL();		// Default SQL for Recordset
	virtual void DoFieldExchange(CDaoFieldExchange* pFX);  // RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_USRHIGHTEXTSET_H__17FFEBF3_9FBB_11D3_AF1F_8C315D000000__INCLUDED_)
